{% extends 'admin/base.html' %}

{% load i18n %}

{% block extrahead %}

{{ block.super }}

<style>
:root {
  --primary: #DDD;
  --secondary: #FFF;
  --accent: #111;
  --primary-fg: #111;

  --body-fg: #111;
  --body-bg: #FFF;
  --body-quiet-color: #333;
  --body-loud-color: #000;

  --header-color: #111;
  --header-branding-color: var(--accent);
  --header-bg: var(--secondary);
  --header-link-color: var(--primary-fg);

  --breadcrumbs-fg: #68B683;
  --breadcrumbs-link-fg: var(--body-fg);
  --breadcrumbs-bg: var(--primary);

  --link-fg: #444;
  --link-hover-color: #68B683;
  --link-selected-fg: #408458;

  --hairline-color: #e8e8e8;
  --border-color: #ccc;

  --error-fg: #ba2121;

  --message-success-bg: #dfd;
  --message-warning-bg: #ffc;
  --message-error-bg: #ffefef;

  --darkened-bg: #f8f8f8; /* A bit darker than --body-bg */
  --selected-bg: #e4e4e4; /* E.g. selected table cells */
  --selected-row: #E2F2E8;

  --button-fg: #fff;
  --button-bg: var(--primary);
  --button-hover-bg: #68B683;
  --default-button-bg: var(--secondary);
  --default-button-hover-bg: #68B683;
  --close-button-bg: #888; /* Previously #bbb, contrast 1.92 */
  --close-button-hover-bg: #747474;
  --delete-button-bg: #ba2121;
  --delete-button-hover-bg: #a41515;

  --object-tools-fg: var(--button-fg);
  --object-tools-bg: var(--close-button-bg);
  --object-tools-hover-bg: var(--close-button-hover-bg);
}

#language-selector {
    background-color: transparent;
    color: var(--header-color);
    border: 0;
    font-weight: inherit;
    text-transform: inherit;
    font-size: inherit;
    padding-left: 0;
}

#nav-sidebar {
    padding-top: 20px;
}

fieldset.module > h2, .module caption {
    text-transform: inherit;
}

.inline-related > fieldset.module > h2 {
    background-color: transparent;
    
    font-size: 13px;
    color: var(--body-quiet-color);
    letter-spacing: inherit;
    border-bottom: 1px solid var(--border-color);
}

</style>

{% endblock %}

{% block userlinks %}

{{ block.super }}
/
<form action="/i18n/setlang/" method="post" style="display: inline-block;">
{% csrf_token %}
    <select name="language" onchange="this.form.submit();" id="language-selector">
        {% for lang in LANGUAGES %}
            <option value="{{ lang.0 }}"
                {% ifequal lang.0 request.LANGUAGE_CODE %}
                    selected="yes"
                {% endifequal %}
            >{{ lang.0 }}</option>
        {% endfor %}
    </select>
</form>

{% endblock %}
